---
layout: post
status: publish
published: true
author:
  display_name: dcodernz
  login: dcodernz
  email: no-reply@thh.com
  url: http://www.thheuer.com
author_login: dcodernz
author_email: no-reply@thh.com
author_url: http://www.thheuer.com
categories:
- Howto
- Linux
- Kernel
tags: [Howto,Linux,Ubuntu,14.04,Wireless,Kernel]
comments: []
---
Long story short: I had a problem with my wireless card on Ubuntu 14.04 and now seem to have solved it.

Like this you will install this kernel version:
Linux myhost 3.18.11-031811-generic #201504041535 SMP Sat Apr 4 19:37:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Simply do these steps in a console, which will install a kernel that seems to be working fine:

{% highlight bash %}
mkdir /tmp/kernel && cd /tmp/kernel
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18.11-vivid/linux-headers-3.18.11-031811-generic_3.18.11-031811.201504041535_amd64.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18.11-vivid/linux-headers-3.18.11-031811_3.18.11-031811.201504041535_all.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18.11-vivid/linux-image-3.18.11-031811-generic_3.18.11-031811.201504041535_amd64.deb
sudo dpkg -i *.deb
{% endhighlight %}

That's it! Should be an easy way to get your PC back to a later kernel and working Wireless USB adapter with suspend.

Disclaimer: I have just done this today, but it seems to work so far. In case I haven't tested enough, don't blame me. :-P
